<html>
<head>
<META NAME="author" CONTENT="Dima Maloff">
<META NAME="description" CONTENT=" binkp ( ).">
<META NAME="keywords" CONTENT="binkp, description, binkd, , docs, doc, documentation">
<META HTTP-EQUIV="Content-language" CONTENT="ru">
<title>binkp</title>
</head>
<body>
<h1>Binkp/1.0</h1>

<hr>

<h2> </h2>

Binkp     ,  
   .  ,    
 ,    :

<pre><tt>
   binkp's frames:

    +---------------------- 0=data block, 1=message(command)
    |                +---- data block size / msg's argument size
    |                |
    7 6543210 76543210
   +-+-------+--------+--- ..... ---+
   | |   HI      LO   |             | -- data block / msg's argument
   +-+-------+--------+--- ..... ---+
   |<-    2 bytes   ->|<- 32K max ->|

</tt></pre>


  --  ,     ( )
,   .      ,
          
. (    ,  -- )
  ,     , 
 .   ,    -- 
.  -- .   --  
,    <tt>'\0'</tt>.   
(, <a href="#M_OK">M_OK</a>)    :

<pre><tt>
    7 6543210 76543210 76543210
   +-+-------+--------+--------+
   |1|      0        1|       4|
   +-+-------+--------+--------+
    |                |        +-----   ( )
    |                +--------     -- 1 
    +-  
</tt></pre>

,   binkd/0.8,   :

<ul>
<li>
<a name="M_NUL">M_NUL</a>  0
  <p>
     (, ,   ). 
     ,    ..
  <p>
  eg, <tt>"ZYZ Dima Maloff"</tt>
  <p>
<li>
<a name="M_ADR">M_ADR</a>  1
  <p>
   5D  ( )
  <p>
  eg, <tt>"2:5047/13@fidonet 2:5047/0@fidonet"</tt>
  <p>

<li>
<a name="M_PWD">M_PWD</a>  2
  <p>
  .    ,   remote,
  binkd-  .
  <p>
  eg, <tt>"pAsSwOrD"</tt>
  <p>

<li>
<a name="M_OK">M_OK</a>   4
  <p>
     . binkd-    
   .   .
  <p>
  eg, <tt>""</tt>
  <p>

<li>
<a name="M_FILE">M_FILE</a> 3
  <p>
     .  :   ( 
  ); ; unix-time; ,    .
   --   .     
           M_FILE.
      ,     
  . binkd ""      .
          0. 
  <a href="#M_GET">M_GET</a>  remote     seek.
  <p>
  eg, <tt>"config.sys 125 2476327846 0"</tt>
  <p>
  ,    M_GET   100:
  <p>
      <tt>"config.sys 125 2476327846 100"</tt>
  <p>


<li>
<a name="M_EOB">M_EOB</a>  5

  <p>
  End-of-Batch. EOB   ,    .
       EOB (  ),  
  remote EOB (    ),    
     ,       <a href="#M_GET">GET</a>,
      .
  <p>
   eg, <tt>""</tt>
  <p>

<li>
<a name="M_GOT">M_GOT</a>  6
  <p>
       
       . 
     <a href="#M_FILE">FILE</a>  remote,    --
  ,     ,  <a href="#M_FILE">M_FILE</a>.
  GOT         --   
    --  skip.
  <p>
  eg, <tt>"config.sys 125 2476327846"</tt>
  <p>

<li>
<a name="M_ERR">M_ERR</a>  7
  <p>
   . ,  M_ERR,  .
  ,   ,   . binkd 
  M_ERR     .
  <p>
  eg, <tt>"Incorrect password"</tt>
  <p>

<li>
<a name="M_BSY">M_BSY</a>  8
  <p>
      .   
  . (  )
  <p>
  eg, <tt>"Too many servers are running already" </tt>
  <p>

<li>
<a name="M_GET">M_GET</a>  9
  <p>
    M_GET  resend.  M_GET  
   <a href="#M_FILE">M_FILE</a>,       remote. :)
  Binkd      <a href="#M_FILE">M_FILE</a>   ,
            .
  <p>
  eg, <tt>"config.sys 125 2476327846 100"</tt>
  <p>
   binkd   :    (//unixtime)
  ,    M_GET    
   (         <a href="#M_GOT">M_GOT</a>),
     ,  seek   ,  
   <a href="#M_FILE">M_FILE</a>.   
  <a href="#M_FILE">M_FILE</a>   :
  <p>
      <tt>"config.sys 125 2476327846 100"</tt>
  <p>

<li>
<a name="M_SKIP">M_SKIP</a> 10
  <p>
   skip.
    :
  <p>
      <tt>"config.sys 125 2476327846"</tt>
</ul>

<h2>    binkd</h2>
<table border>
<tr><th>
             <th>   
</tr>
<tr><td>      M_NUL "SYS ..."          <td>   M_NUL "SYS ..."</tr>
<tr><td>      M_NUL "ZYZ ..."          <td>       M_NUL "ZYZ ..."</tr>
<tr><td>      M_NUL "LOC ..."          <td>       M_NUL "LOC ..."</tr>
<tr><td>      M_NUL "VER ..."          <td>       M_NUL "VER ..."</tr>
<tr><td>      M_ADR "2:2/2.2@fidonet"  <td>       M_ADR "3:3/3.3@fidonet"</tr>
<tr><td>      M_PWD "password"         <td>       (   remote)</tr>
<tr><td>                         <td> M_OK ""  M_ERR "Bad password"</tr>
<tr><td>      ( M_OK)        <td>             M_FILE "file2 200 42342434 0"</tr>
<tr><td>      M_FILE "file1 100 423424244 0"<td>  data</tr>
<tr><td>      data                          <td>  data</tr>
<tr><td>      data                          <td>  data</tr>
<tr><td>      M_EOB                         <td>  ( file1 , )</tr>
<tr><td>      ( file2 , )  <td>  M_GOT "file1 100 423424244"</tr>
<tr><td>      M_GOT "file2 200 42342434"    <td>  data </tr>
<tr><td>                                    <td>  M_EOB</tr>
</table>
<hr>
&copy; Copyright 1996-97
by <a target=_blank href="http://2f.ru/">Dima Maloff</a><br>
<i>$Id: binkp.html,v 1.5 1998/10/08 07:31:48 maloff Exp $</i>
</body>
</html>
